<ol class="breadcrumb mb-4" style="margin-top: 15px;">
	<li class="breadcrumb-item active">{{ titulo }}</li>
</ol>
<div class="card mb-4">
	<div class="card-header">
		<i class="fas fa-table mr-1"></i> Información
	</div>
	<div class="card-body">
		<div class="table-responsive">
			<table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
				<thead>
					<tr>
						<th>Nombre Sede</th>
						<th>Porcentaje</th>
						<th>Representante</th>
						<th>Télefono</th>
						<th>Email</th>
						<th>Dirección</th>
						<th>Acción</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<th>Nombre Sede</th>
						<th>Porcentaje</th>
						<th>Representante</th>
						<th>Télefono</th>
						<th>Email</th>
						<th>Dirección</th>
						<th style=" width: 7%;">Acción</th>
					</tr>
				</tfoot>
				<tbody>
					<tr *ngFor="let sede of sedes">
						<td>{{ sede.name }}</td>
						<td style="text-align: right;">{{ sede.type }} %</td>
						<td>{{ sede.representative }}</td>
						<td>{{ sede.phone }}</td>
						<td>{{ sede.email }}</td>
						<td>{{ sede.address }}</td>
						<td style="text-align: center;">
							<a href="javascript:void(0)" (click)="onEditar(sede)" data-toggle="modal" data-target="#formularioCreacion"><i class="fas fa-cloud-upload-alt"></i></a>&nbsp;
							<a href="javascript:void(0)"><i class="fas fa-cloud-download-alt"></i></a>
						</td> 
					</tr>
				</tbody>
			</table>
		</div>
	</div>
</div>
<div class="modal fade " id="formularioCreacion" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Formulario</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form [formGroup]="sedeForm" (ngSubmit)="onSaveForm()">
	      <div class="modal-body">
	      	<div class="container-fluid">
	        	<div class="row">
	        		<div class="col-md-12"> 
	        			<label for="recipient-name" class="col-form-label">Cargar Documento: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.file.invalid && (submitted || f.file.touched))"> El campo es requerido</label>
	        			<input type="file" class="btn btn-info form-control-file" id="result_file" name="excel" formControlName="file" (change)="ChangeCargarArchivo($event)" [ngClass]="{ 'is-invalid': f.file.errors && (f.file.touched || submitted), 'is-valid': f.file.touched && !f.file.errors}">
		            </div>
	        	</div>
	    	</div>
	      </div> 
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" id="btnCerrar" data-dismiss="modal">Cerrar</button>
	        <button type="submit" class="btn btn-success" id="btnGuardar">{{ textbtn }}</button>
	      </div>
      </form>
    </div>
  </div>
</div>






